<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" id="tabsgrid">


    <p:panel id="resultsPanel"
             header="Listado histórico de estados del trámite" toggleable="true">
        <h:outputLabel value="Registros encontrados" />
        <h:form id="formForDT">

            <p:dataTable value="#{consultaHistoricoEstadosTramite.lazyModel}"
                         var="currentRegistry" id="resultsDT" paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15"
                         emptyMessage="No hay resultados para esta búsqueda">

                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Estado" />
                    </f:facet>
                    <h:outputText value="#{currentPredio[0]}" />
                </p:column>
                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Responsable" />
                    </f:facet>
                    <h:outputText value="#{currentPredio[0]}" />
                </p:column>
                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Rol" />
                    </f:facet>
                    <h:outputText value="#{currentPredio[0]}" />
                </p:column>
                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Fecha inicial" />
                    </f:facet>
                    <h:outputText value="#{currentPredio[0]}" />
                </p:column>
                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Fecha final" />
                    </f:facet>
                    <h:outputText value="#{currentPredio[0]}" />
                </p:column>
                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Duración" />
                    </f:facet>
                    <h:outputText value="#{currentPredio[0]}" />
                </p:column>
            </p:dataTable>
        </h:form>
    </p:panel>
</h:panelGrid>
